import CmdNo,string
from etgui import *
from PageLayout import *
from AllModelDictEditors import FileTypeModelDictEditor

def MakePageFileTypes(model):
	editor=FileTypeModelDictEditor(model,"FileTypes","FileType",1)
	merge_options=editor.MakeMergeOptions()
	return MakePageLayout(eVObjHExpand|eVObjVExpand,
		MakeModelDictEditorLayout(editor,merge_options=merge_options)
	)

def MakePageFileTypesNew(model):
	return MakePageLayout(eVObjHExpand|eVObjVExpand,
		MakeModelDictEditorLayout(FileTypeModelDictEditor(model,"FileTypes","FileType",2))
	)
